<template>
  <div class="search-box hidden-xs-only">
    <div
      aria-haspopup="listbox"
      role="combobox"
      aria-owns="el-autocomplete-2531"
      class=" search-input"
      clearable=""
      aria-expanded="true"
    >
      <div class="el-input el-input--small el-input--prefix">
        <form
          v-on:submit.prevent="onSubmit"
          id="search-content"
          :class="isFocus?'focus':''"
        >
          <div class="">
            <span
              v-if="searchTag"
              class="search-tag"
            >{{searchTag}}</span>

            <el-input
              v-model="search"
              @blur="onBlur"
              @focus="onFocus"
              @clear="clearSerch"
              clearable
              type="text"
              valuekey="value"
              popperclass="search-box-popper card-base card-shadow--small"
              placeholder="Search..."
              fetchsuggestions="function () { [native code] }"
              triggeronfocus="true"
              debounce="300"
              placement="bottom-start"
              :class="searchTag? 'input-search':'empty-tag input-search'"
              role="textbox"
              aria-autocomplete="list"
              aria-controls="id"
            ></el-input>
          </div>

          <!--<button hidden  type="primary" @click="onSubmit"></button>-->
        </form>

      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SearchContent',
  data () {
    return {
      list: [],
      isFocus: false
    }
  },
  methods: {
    clearSerch () {
      this.$store.commit("setSearchSubmit", this.search + Math.random());
    },
    onSubmit (e) {

      this.$store.commit("setSearchSubmit", this.search + Math.random());
    },
    onFocus (e) {

      this.isFocus = true;

    },
    onBlur (e) {

      this.isFocus = false;
    }
  },
  computed: {
    search: {
      get: function () {
        return this.$store.state.search;
      },
      set: function (search) {
        return this.$store.commit("setSearchValue", search);
      }
    },
    searchTag () {
      return this.$store.state.searchTag;
    }

  },
  mounted () {
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
@import "../assets/scss/_variables";
@import "../assets/scss/card-shadow";

.search-box {
  max-width: 350px;
  width: auto;

  #search-content {
    border-radius: 5px;
    border-color: transparent;
    background-color: transparent;
    /*line-height: 33px;*/
    border-bottom-color: transparentize($text-color-accent, 0.8);
    transition: all 0.5s;
    border-bottom: 1px solid;
    border-bottom-color: rgba(95, 143, 223, 0.2);

    &.focus {
      background-color: #fff;
      // outline: -webkit-focus-ring-color auto 1px;
      border-bottom-color: transparent;
      box-shadow: 0 3px 6px 0 rgba(40, 40, 90, 0.09),
        0 1px 1px 0 rgba(0, 0, 0, 0.065);

      .search-tag {
        background-color: #409eff;
        color: #fff;
      }
    }

    &:hover {
      background-color: #fff;
      border-color: $text-color-accent;
      box-shadow: 0 3px 6px 0 rgba(40, 40, 90, 0.09),
        0 1px 1px 0 rgba(0, 0, 0, 0.065);
      border-bottom-color: transparent;

      .search-tag {
        background-color: #409eff;
        color: #fff;
      }
    }

    .input-search {
      padding-right: 5px;
      width: inherit;
      padding: 0;
      background: transparent;

      &.empty-tag {
        padding-left: 10px;
        min-width: 250px;
      }
    }

    .search-tag {
      border-radius: 3px;
      transition: all 0.5s;
      margin: 5px;
      /*line-height: 32px;*/
      padding: 3px 6px;
      font-weight: 600;
      color: #8e8e8e;
    }
  }
}
</style>


